[Python-Dev] Re: python/dist/src/Lib subprocess.py,NONE,1.1

Peter Astrand astrand at lysator.liu.se
Wed Oct 13 20:03:18 CEST 2004

>> Yes, it is.  I haven't had time to read the PEP, but I assumed some
>> "backward compatibility" constraint is at work here too, since, e.g.,
>> subprocess.py has

>If so, then it should be documented in PEP 291, otherwise backward
>compatibility stuff is fair game for ripping out.

Below is a trivial patch to PEP 291. I'm stepping forward as a maintainer,
if noone else wants to do the job.

diff -u -r1.11 pep-0291.txt
--- pep-0291.txt        20 Aug 2004 07:32:06 -0000      1.11
+++ pep-0291.txt        13 Oct 2004 18:00:14 -0000
@@ -90,6 +90,7 @@
     modulefinder       Thomas Heller               2.2
                        Just van Rossum
     platform           Marc-Andre Lemburg          1.5.2
+    subprocess         Peter Astrand               2.2

     Tool                         Maintainer(s)   Python Version

/Peter Åstrand <astrand at lysator.liu.se>

More information about the Python-Dev mailing list